@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;700;800;900&display=swap');

/* Estilos comunes */
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  font-family: 'Nunito', sans-serif;
}

html{
  font-size: 62.5%;
}
/* Estilos comunes final */

/* Navbar */
.navbar{
  width: 100%;
  height: 14rem;
  background-color: #000;
  position: fixed;
  top: -14rem;
  z-index: 99999;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: .2rem .2rem .2rem #000;
  transition: top .4s;
}

.navbar.mostrar{
  top: 0;
  transition: top .4s .2s;
}

.navbar-link{
  color: #aaa;
  margin: 0 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: color .3s, opacity.2s;
}

.mostrar .navbar-link{
  opacity: 1;
}

.mostrar .navbar-link:nth-child(1){
  transition: opacity .4s .5s,
  color .3s;
}

.mostrar .navbar-link:nth-child(2){
  transition: opacity .4s .6s,
  color .3s;
}

.mostrar .navbar-link:nth-child(3){
  transition: opacity .4s .7s,
  color .3s;
}

.mostrar .navbar-link:nth-child(4){
  transition: opacity .4s .8s,
  color .3s;
}

.mostrar .navbar-link:nth-child(5){
  transition: opacity .4s .9s,
  color .3s;
}

.navbar-link:hover{
  color: #fff;
}

.navbar-link i{
  font-size: 4rem;
}

.navbar-link span{
  font-size: 1.8rem;
  font-weight: 900;
  letter-spacing: .5rem;
  margin-top: .5rem;
}

.menu{
  width: 4rem;
  height: 6rem;
  background-color: #000;
  position: fixed;
  top: 1rem;
  left: 5rem;
  z-index: 99998;
  border-radius: 30rem 30rem 15rem 15rem;
  box-shadow: .1rem .1rem .1rem #000,-.1rem -.1rem -.1rem #000;
  cursor: pointer;
  transition: top .4s .2s;
}

.menu.mostrar{
  top: 15rem;
  transition: top .4s;
}

.menu::before{
  content: '';
  width: .3rem;
  height: 15rem;
  background-color: #000;
  position: absolute;
  top: -15rem;
  left: calc(50% - .15rem);
  box-shadow: .1rem 0 .1rem #000;
}

/* Seccion 1 */
.seccion-1{
  width: 100%;
  height: 100vh;
  background-color: #333;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.seccion-header{
  font-size: 9rem;
  font-weight: 900;
  color: #fff;
  text-align: center;
  text-transform: capitalize;
  letter-spacing: 0.5rem;
  text-shadow: .3rem .3rem .3rem #000;
}

.seccion-1-iconos i{
  font-size: 30rem;
  color: #a79a2d;
  position: absolute;
  transform: translate(-50%,-50%) scale(0);
  text-shadow: .3rem .3rem .3rem #000;
  transition: transform .4s;
}

.seccion-1-iconos i.cambio{
  transform: translate(-50%,-50%) scale(1);
  transition: transform .4s;
}
/* Seccion 1 final */

/* Seccion 2 */
.seccion-2{
  width: 100%;
  height: 100vh;
  background-color: #222;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10rem 0;
}

.contenedor-cartas{
  display: flex;
  justify-content: space-evenly;
}

.carta{
  width: 30rem;
  background-color: #a79a2d;
  padding: 4rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: 1rem 1rem 1rem #000;
  position: relative;
  transform: rotateY(20deg) skewX(-2deg);
  transition: transform .5s, box-shadow .5s ;
}

.carta:hover{
  transform: rotateY(20deg) skewX(-2deg) translateY(-3rem);
  box-shadow: 2rem 2rem 2rem #000;
}

.carta::before{
  content: '';
  height: 100%;
  width: 1rem;
  background-color: #817824;
  position: absolute;
  top: 0;
  left: -1rem;
  transform: skewY(45deg);
  transform-origin: right;
  box-shadow: -.1rem -.1rem .1rem #000;
}

.carta::after{
  content: '';
  height: 1rem;
  width: 100%;
  background-color: #817824;
  position: absolute;
  top: -1rem;
  left: 0;
  transform: skewX(45deg);
  transform-origin: bottom;
  box-shadow: -.1rem -.1rem .1rem #000;
}

.carta-imagen{
  width: 100%;
  height: 86%;
}

.nombre-carta{
  font-size: 3rem;
  font-weight: 900;
  text-transform: uppercase;
  letter-spacing: .5rem;
  color: #111;
  margin: 1.5rem 0;
  text-shadow: .15rem #000;
}

.carta-btn{
  width: 70%;
  background-color: #111;
  color: #888;
  border-radius: 5rem;
  font-size: 1.5rem;
  font-weight: 800;
  letter-spacing: .2rem;
  text-transform: capitalize;
  border: none;
  padding: .5rem 0;
  cursor: pointer;
  box-shadow: -.2rem -.2rem .2rem #000;
}
/* Seccion 2 final */

/* Seccion 3 */
.seccion-3{
  background-color: #333;
  padding: 5rem 0;
}

.galeria{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-evenly;
}

.galeria-link{
  position: relative;
  margin: 4rem 1rem;
}

.galeria-link::before{
  content: '';
  position: absolute;
  top: 2vw;
  left: 80%;
  width: .2rem;
  height: 0;
  background-color: #fff;
  transition: height .5s;
  z-index: 10;
}

.galeria-link:hover::before{
  height: 80%;
}

.galeria-link::after{
  content: '';
  position: absolute;
  top: 30%;
  left: 2rem;
  width: 0;
  height: .2rem;
  background-color: #fff;
  transition: width .5s;
}

.galeria-link:hover::after{
  width: 90%;
}

.comida-img{
  width: 24vw;
  height: 15vw;
  object-fit: cover;
  box-shadow: .3rem .3rem .1rem #e92929, .5rem .5rem .1rem #a2e946, .7rem .7rem .1rem #297ce9, .9rem .9rem .1rem #e92999;
  transition: all .5s;
}

.galeria-link:hover .comida-img{
  box-shadow: 1rem 1rem .1rem #e92929, 2rem 2rem .1rem #a2e946, 3rem 3rem .1rem #297ce9, 4rem 4rem .1rem #e92999;
  filter: blur(.5rem);
  opacity: .5;
  transform: scale(1.1);
}

.comida-nombre{
  position: absolute;
  top: 3rem;
  left: 3rem;
  font-size: 2rem;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: .1rem;
  color: #fff;
  width: 0;
  overflow: hidden;
  transition: width .3s;
}

.galeria-link:hover .comida-nombre{
  width: 100%;
  transition: width 1.5s .5s;
}

.comida-descripcion{
  position: absolute;
  bottom: 3vw;
  left: 2rem;
  width: 70%;
  font-size: 1.5rem;
  font-weight: 300;
  letter-spacing: .1rem;
  text-transform: uppercase;
  color: #fff;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s;
}

.galeria-link:hover .comida-descripcion{
  opacity: 1;
  visibility: visible;
  transition: opacity 1s 1s;
}

/* Seccion 3 final */

/* Seccion 4 */
.seccion-4{
  width: 100%;
  height: 30vh;
  background-color: #222;
  display: flex;
  align-items: flex-start;
  justify-content: space-around;
  padding: 3rem 0;
  position: relative;
}

.seccion-4-texto{
  text-transform: uppercase;
}

.seccion-4-header{
  font-weight: 4rem;
  font-weight: 900;
  color: #a79a2d;
}

.seccion-4-parrafo{
  font-size: 1.5rem;
  color: #888;
}

.suscribirse-form{
  display: flex;
  align-items: center;
}

.suscribirse-form-input{
  width: 35rem;
  height: 5rem;
  padding: 1rem;
  border: .2rem solid #a79a2d;
  font-size: 1.6rem;
  letter-spacing: .1rem;
  color: #a79a2d;
}

.suscribirse-form-input::placeholder{
  color: #a79a2d;
}

.suscribirse-form-btn{
  position: relative;
  left: -4.5rem;
  width: 4rem;
  height: 4rem;
  background-color: #333;
  color: #a79a2d;
  border: none;
  font-size: 1.8rem;
  cursor: pointer;
}

.copyright{
  position: absolute;
  bottom: 3rem;
  font-size: 1.3rem;
  font-weight: 200;
  color: #eee;
  letter-spacing: .1rem;
  border-top: .1rem solid #888;
  padding-top: 6rem;
  width: 90%;
  text-align: center;
}
/* Seccion 4 final */

/* Responsividad */
@media (max-width: 1400px) {
  html{
    font-size: 50%;
  }

  .seccion-2{
    height: auto;
    padding: 10rem 0 12rem 0;
  }

  .contenedor-cartas{
    margin-top: 10rem;
  }

  .galeria-link{
    width: 40rem;
    height: 25rem;
    margin: 5rem;
  }

  .comida-img{
    width: 100%;
    height: 100%;
  }
}

@media (max-width: 1000px) {
  .seccion-header{
    font-size: 9rem;
    margin: 0 5rem;
  }

  .seccion-1-iconos{
    font-size: 25rem;
  }

  .contenedor-cartas{
    flex-wrap: wrap;
  }

  .carta{
    margin: 5rem;
  }

  .seccion-4{
    height: 30rem;
  }
}

@media (max-width: 900px) {
  .navbar-link{
    margin: 1rem;
  }

  .navbar-link i{
    font-size: 3rem;
  }

  .navbar-link span{
    font-size: 1.6rem;
  }
}

@media (max-width: 700px) {
  .seccion-header{
    font-size: 5rem;
    margin: 0 10rem;
  }

  .seccion-1-iconos i{
    font-size: 20rem;
  }

  .menu{
    left: 2rem;
  }

  .seccion-4{
    height: 40rem;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }

  .seccion-4-texto{
    margin-bottom: 8rem;
  }
}

@media (max-width: 550px) {
  html{
    font-size: 40%;
  }

  .navbar-link{
    margin: 0 .7rem;
  }
}
/* Responsividad final */